com.tibbo.aggregate.common

## Class Constants

- java.lang.Object
- - com.tibbo.aggregate.common.Constants

-     public class Constants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DOCS_FILE_EXTENSION`
    `static java.lang.String` | `DOCS_SUBDIR`
    `static java.lang.String` | `GROUP_AUTH`
    `static java.lang.String` | `GROUP_CONTEXT`
    `static java.lang.String` | `GROUP_CORE`
    `static java.lang.String` | `GROUP_DEVICE`
    `static java.lang.String` | `GROUP_DS`
    `static java.lang.String` | `GROUP_PERSISTENCE`
    `static java.lang.String` | `GROUP_RESOURCE`
    `static java.lang.String` | `GROUP_WEB`
    `static boolean` | `HAS_GUI`
    `static boolean` | `IS_HEADLESS`
    `static java.lang.String` | `JARS_SUBDIR`
    `static java.lang.String` | `LIBRARIES_SUBDIR`
    `static java.lang.String` | `LOCAL_AGENT_CACHE_SUBDIR`
    `static java.lang.String` | `LOCAL_AGENT_EVENTS_CACHE`
    `static java.lang.String` | `LOCAL_AGENT_UPDATES_CACHE`
    `static java.lang.String` | `MAVEN_REPOSITORY_RELEASE_PROXY`
    `static java.lang.String` | `MAVEN_REPOSITORY_RELEASE_PUBLIC`
    `static java.lang.String` | `MAVEN_REPOSITORY_RELEASE_TEST`
    `static java.lang.String` | `PLATFORM_ARM32`
    `static java.lang.String` | `PLATFORM_ARM64`
    `static java.lang.String` | `PLATFORM_LINUX32`
    `static java.lang.String` | `PLATFORM_LINUX64`
    `static java.lang.String` | `PLATFORM_MAC_OS`
    `static java.lang.String` | `PLATFORM_WIN32`
    `static java.lang.String` | `PLATFORM_WIN64`
    `static java.lang.String` | `PLUGIN_PREFIX`
    `static java.lang.String` | `PLUGINS_SUBDIR`
    `static java.lang.String` | `ROOT_FOLDER_PATH_PATTERN`
    `static java.lang.String` | `SCRIPTS_SUBDIR`
    `static java.lang.String` | `SNAPSHOT`
    `static java.lang.String` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_PREFIX

          public static final java.lang.String PLUGIN_PREFIX

      See Also:
        Constant Field Values

    - #### GROUP_CORE

          public static final java.lang.String GROUP_CORE

      See Also:
        Constant Field Values

    - #### GROUP_CONTEXT

          public static final java.lang.String GROUP_CONTEXT

      See Also:
        Constant Field Values

    - #### GROUP_DEVICE

          public static final java.lang.String GROUP_DEVICE

      See Also:
        Constant Field Values

    - #### GROUP_WEB

          public static final java.lang.String GROUP_WEB

      See Also:
        Constant Field Values

    - #### GROUP_PERSISTENCE

          public static final java.lang.String GROUP_PERSISTENCE

      See Also:
        Constant Field Values

    - #### GROUP_AUTH

          public static final java.lang.String GROUP_AUTH

      See Also:
        Constant Field Values

    - #### GROUP_DS

          public static final java.lang.String GROUP_DS

      See Also:
        Constant Field Values

    - #### GROUP_RESOURCE

          public static final java.lang.String GROUP_RESOURCE

      See Also:
        Constant Field Values

    - #### VERSION

          public static final java.lang.String VERSION

      See Also:
        Constant Field Values

    - #### DOCS_SUBDIR

          public static final java.lang.String DOCS_SUBDIR

      See Also:
        Constant Field Values

    - #### SCRIPTS_SUBDIR

          public static final java.lang.String SCRIPTS_SUBDIR

      See Also:
        Constant Field Values

    - #### LIBRARIES_SUBDIR

          public static final java.lang.String LIBRARIES_SUBDIR

      See Also:
        Constant Field Values

    - #### JARS_SUBDIR

          public static final java.lang.String JARS_SUBDIR

      See Also:
        Constant Field Values

    - #### PLUGINS_SUBDIR

          public static final java.lang.String PLUGINS_SUBDIR

      See Also:
        Constant Field Values

    - #### LOCAL_AGENT_CACHE_SUBDIR

          public static final java.lang.String LOCAL_AGENT_CACHE_SUBDIR

      See Also:
        Constant Field Values

    - #### LOCAL_AGENT_EVENTS_CACHE

          public static final java.lang.String LOCAL_AGENT_EVENTS_CACHE

      See Also:
        Constant Field Values

    - #### LOCAL_AGENT_UPDATES_CACHE

          public static final java.lang.String LOCAL_AGENT_UPDATES_CACHE

      See Also:
        Constant Field Values

    - #### ROOT_FOLDER_PATH_PATTERN

          public static final java.lang.String ROOT_FOLDER_PATH_PATTERN

      See Also:
        Constant Field Values

    - #### DOCS_FILE_EXTENSION

          public static final java.lang.String DOCS_FILE_EXTENSION

      See Also:
        Constant Field Values

    - #### PLATFORM_WIN32

          public static final java.lang.String PLATFORM_WIN32

      See Also:
        Constant Field Values

    - #### PLATFORM_WIN64

          public static final java.lang.String PLATFORM_WIN64

      See Also:
        Constant Field Values

    - #### PLATFORM_LINUX32

          public static final java.lang.String PLATFORM_LINUX32

      See Also:
        Constant Field Values

    - #### PLATFORM_LINUX64

          public static final java.lang.String PLATFORM_LINUX64

      See Also:
        Constant Field Values

    - #### PLATFORM_MAC_OS

          public static final java.lang.String PLATFORM_MAC_OS

      See Also:
        Constant Field Values

    - #### PLATFORM_ARM32

          public static final java.lang.String PLATFORM_ARM32

      See Also:
        Constant Field Values

    - #### PLATFORM_ARM64

          public static final java.lang.String PLATFORM_ARM64

      See Also:
        Constant Field Values

    - #### MAVEN_REPOSITORY_RELEASE_TEST

          public static final java.lang.String MAVEN_REPOSITORY_RELEASE_TEST

      See Also:
        Constant Field Values

    - #### MAVEN_REPOSITORY_RELEASE_PROXY

          public static final java.lang.String MAVEN_REPOSITORY_RELEASE_PROXY

      See Also:
        Constant Field Values

    - #### MAVEN_REPOSITORY_RELEASE_PUBLIC

          public static final java.lang.String MAVEN_REPOSITORY_RELEASE_PUBLIC

      See Also:
        Constant Field Values

    - #### SNAPSHOT

          public static final java.lang.String SNAPSHOT

      See Also:
        Constant Field Values

    - #### IS_HEADLESS

          public static final boolean IS_HEADLESS

    - #### HAS_GUI

          public static final boolean HAS_GUI

  - ### Constructor Detail

    - #### Constants

          public Constants()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)